#### Previous topic

scipy.interpolate.BarycentricInterpolator

#### Next topic

scipy.interpolate.BarycentricInterpolator.add_xi

# scipy.interpolate.BarycentricInterpolator.__call__

`BarycentricInterpolator.``__call__`(x)

  Evaluate the interpolating polynomial at the points x

  Parameters:

  x : array_like

  > Points to evaluate the interpolant at.

  Returns:

  y : array_like

  > Interpolated values. Shape is determined by replacing the interpolation axis in the original array with the shape of x.

  Notes

  Currently the code computes an outer product between x and the weights, that is, it constructs an intermediate array of size N by len(x), where N is the degree of the polynomial.